﻿-- 姻缘-婚宴通知(咨询)
Lua_MarryInfoWindow = class("Lua_MarryInfoWindow", Lua_Window);
function Lua_MarryInfoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryInfoWindow";
	self.skinName = "MarryInfoWindow_skin";
	self.showClose = false;
end

function Lua_MarryInfoWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.playerInfo = DataCenter.marryData.wedding_req_role;
	if tonumber(self.playerInfo.role_id) == DataCenter.roleData.roleId then
		self.playerInfo = DataCenter.marryData.wedding_partner_role;
	end

	self.herHeadImg = UICreate.createImage(self.content, "", 124, 65, 0, 0);
	self.herHeadImg:addClickFuntion(self, self.onHeadClick)
	self.herHeadImg:setDepth(5);
	if isHeadReplaceOpen() == true then
		self:updateHerHead(self.playerInfo.career, self.playerInfo.role_head_name);
	else
		self.herHeadImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(self.playerInfo.career, self.playerInfo.profession));
	end

	if self.myHeadImg == nil then
		self.myHeadImg = UICreate.createImage(self.content, "", -124, 65, 0, 0);
		self.myHeadImg:setDepth(5);
	end

	if isHeadReplaceOpen() == true then
		self:updateMyHead(DataCenter.roleData.career, DataCenter.roleData.getDressHead);
	else
		self.myHeadImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(DataCenter.roleData.career, DataCenter.roleData.profession));
	end

	self.himName.text = self.playerInfo.role_name;
	self.yourName.text = DataCenter.roleData.name;
	self.subBtn:addClickFuntion(self, self.onSubClick)
	self:onTimeDown();
	if DataCenter.marryData.now_held ~= 1 or DataCenter.marryData.subscribe_time ~= nil then
		Lua_CommonUtil.addTimer("onTimeDown", 1, self, self.onTimeDown);
		self.subBtn.label = LanUtil.getValue(124115);
	else
		self.subBtn.label = LanUtil.getValue(124116);
	end
end

function Lua_MarryInfoWindow:updateMyHead(career, role_head)
	if role_head ~= nil and role_head ~= "" then
		local isDefault = DataCenter.roleData:isDefaultHead(career, role_head);
		if isDefault == true then
			self.myHeadImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
		else
			self.myHeadImg:setUrl(role_head, 99, true);
			-- self.myHeadImg:setRoundSize(1, 0.5,0.5,0.5);--菱形
			self.myHeadImg:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆
			self.myHeadImg:SetDimensions(124, 124);
			self.myHeadImg:setLocation(-123, 45, 0);
		end
	end
end

function Lua_MarryInfoWindow:updateHerHead(career, role_head)
	if role_head ~= nil and role_head ~= "" then
		local isDefault = DataCenter.roleData:isDefaultHead(career, role_head);
		if isDefault == true then
			self.herHeadImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
		else
			self.herHeadImg:setUrl(role_head, 99, true);
			-- self.herHeadImg:setRoundSize(1, 0.5,0.5,0.5);--菱形
			self.herHeadImg:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆
			self.herHeadImg:SetDimensions(124, 124);
			self.herHeadImg:setLocation(116, 45, 0);
		end
	end
end

function Lua_MarryInfoWindow:onTimeDown()
	if DataCenter.marryData.subscribe_time ~= nil then
		self.leftTime = math.floor(DataCenter.marryData.subscribe_time - DataCenter.roleData.serverTime);
	end

	if self.leftTime ~= nil and self.leftTime > 0 then
		local time1 = TimeTransform.getInstance():transSeconds15(self.leftTime, true);
		local time2 = os.date("%H:%M", DataCenter.marryData.subscribe_time)
		self.des.text = LanUtil.formateStr(LanUtil.getValue(124114), self.playerInfo.role_name, DataCenter.marryData.WeddingName, time2, time1);
	else
		self.des.text = LanUtil.formateStr(LanUtil.getValue(124117), self.playerInfo.role_name, DataCenter.marryData.WeddingName);
		self.subBtn.label = LanUtil.getValue(124116);
		Lua_CommonUtil.removeTimer(self, self.onTimeDown);
	end
end

function Lua_MarryInfoWindow:onHeadClick()
	local cmd = ProtoPublic_pb.Proto10100156();
	cmd.role_id =  tonumber(self.playerInfo.role_id);
	sendMsg(10100156,cmd);
end

function Lua_MarryInfoWindow:onSubClick()
	if self.subBtn.txt.text == LanUtil.getValue(124116) then
		Lua_ProxyManager.getProxy("Lua_MarryProxy"):sStartMarryNowMsg(DataCenter.marryData.wedding_selfID);
	else
		self:hide();
	end
end


function Lua_MarryInfoWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.onTimeDown);
	self:superCall("dispose");
end