-- 姻缘-婚宴选择
Lua_MarrySelectedWindow = class("Lua_MarrySelectedWindow", Lua_Window);
function Lua_MarrySelectedWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarrySelectedWindow";
	self.skinName = "MarrySelectedWindow_skin";
end

function Lua_MarrySelectedWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.des.text = LanUtil.getValue(124113);

	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.hide)
	self:addLuaEvent("ON_MARRY_CLICK", self, self.onMarryClick)
	self:addLuaEvent("UPDATE_SELECTED_MARRY", self, self.onUpdateSelectedIndex)

	local infoArr = DataCenter.marryData.marryInfoArr;
	self.marry_DragList = Lua_DragList.new(self.content, 2, Vector4(0, 0, 942, 410));
	self.marry_DragList:setListCell(Lua_MarrySelectedItem, 410, 314, infoArr:getSize());
	self.marry_DragList:setLocation(0, -25, 0);
	self.marry_DragList:setLuaArrayData(infoArr, false);

	self.yuyueBtn:addClickFuntion(self, self.onYuYueClick);
end

function Lua_MarrySelectedWindow:onYuYueClick()
	if DataCenter.teamData.amILeader == false then
		OperateAlert.show(LanUtil.getValue(124106));
	else
		if self.selectIndex ~= nil then
			if DataCenter.moneyData:isMoneyEnough(self.data.moneyID, self.data.moneyNum, true, true) == true then
				Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryMsg(self.selectIndex, 0);
			end
		else
			OperateAlert.show(LanUtil.getValue(124112));
		end
	end
end

function Lua_MarrySelectedWindow:hide()
	if DataCenter.teamData.amILeader == true then
		Lua_ProxyManager.getProxy("Lua_MarryProxy"):sMarryReplyMsg(0, 2);
	end
	self:superCall("hide");
end
function Lua_MarrySelectedWindow:onMarryClick(data)
	self.data = data;
	self.selectIndex = data.marryType;
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sTongBuMarryMsg(self.selectIndex);
end

function Lua_MarrySelectedWindow:onUpdateSelectedIndex()
	for i = 1, self.marry_DragList.showList:getSize() do
		self.marry_DragList.showList[i]:onUpdateChange()
	end
end

function Lua_MarrySelectedWindow:dispose()
	if self.marry_DragList ~= nil then
		self.marry_DragList:dispose();
		self.marry_DragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_MarrySelectedItem = class("Lua_MarrySelectedItem", Lua_ListCell);
function Lua_MarrySelectedItem:ctor(p)
	self:superCall("ctor", p, "MarrySelectedItem_skin");
end
function Lua_MarrySelectedItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(5.5, 32, 0);
end

function Lua_MarrySelectedItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	if data.add_exp ~= 0 then
		self.expTxt.text = LanUtil.formateStr(LanUtil.getValue(124177), tostring(data.add_exp))
	else
		self.expTxt.text = ""
	end

	self.itemImg.data = Lua_ToolVo.new(data.itemID);
	self.itemImg.data.bInitLoveGiftAtt = true;
	
	-- 策划要求，显示白色，不显示道具品质色：LanUtil.formateStr(data.txtDes, self.itemImg.data.name);
	self.itemTxt.text = LanUtil.formateStr(LanUtil.getValue(124179), self.itemImg.data.name); 
	self.moneyTxt.text = data.moneyNum;

	self.itemBg:setUrl("/images/yinyuan/" .. data.itemBgName .. ".png"); -- 设置背景
	self.titleIcon:setAltas("yinyuan_altas", data.titleIcon);
	self.moneyIcon:setAltas(Lua_MoneyData.getMoneyIconAtlas(data.moneyID), Lua_MoneyData.getIconSpByMoneyType(data.moneyID));
	
	self.selectedBg:setEnable(false);
end

function Lua_MarrySelectedItem:onPlayerSoundClick()
	if DataCenter.teamData.amILeader == false then
		OperateAlert.show(LanUtil.getValue(124106));
	else
		Lua_MsgUtil.callFunc("ON_MARRY_CLICK", self._data);
	end
end

function Lua_MarrySelectedItem:onUpdateChange()
	self.selectedBg:setEnable(self._data.marryType == DataCenter.marryData.marrySelectedType);
end

function Lua_MarrySelectedItem:onSelectionChange(val)
	self:superCall("onSelectionChange", val);

	if DataCenter.teamData.amILeader == true then
		self.selectedBg:setEnable(val);
	end
end

function Lua_MarrySelectedItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end