-- 姻缘-购买烟花道具tips界面
Lua_MarryShopBuyTipsWindow = class("Lua_MarryShopBuyTipsWindow", Lua_Window)
function Lua_MarryShopBuyTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryShopBuyTipsWindow";
	self.skinName = "MarryShopTipsWindow_skin";
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_MarryShopBuyTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.numArr = Array();
	self.buyNum = 1;

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(-35, 133, 0);
	self.itemImg:setCanClick(false);

	self.leftBg.clickScale = false;
	self.leftBg:addClickFuntion(self, self.onBgClick);
	self.reduceBg:addClickFuntion(self, self.onReduceBgClick);
	self.addBg:addClickFuntion(self, self.onAddBgClick);
	self.buyBg:addClickFuntion(self, self.onBuyBtnClick);
	self.tipsNumBg:addClickFuntion(self, self.onTipsNumBgClick);
end

function Lua_MarryShopBuyTipsWindow:showWin(param)
	self:superCall("showWin", param);

	self.itemImg.data = param;
	self.nameTxt.text = self.itemImg.data.colorName;
	self.lvlTxt2.text = param.useLvl;
	self.desTxt1.text = param.des;
	self.numTxt.text = self.buyNum;
	self.moneyBg:setAltas(param.getMoneyIconAtlas, param.moneyType);
	self.priceTxt.text = param.curPrice * self.buyNum;
	
	self.bgStrDic = {"ui_common_tips_02_lv", "ui_common_tips_02_lan", "ui_common_tips_02_zi",
	"ui_common_tips_02_huang", "ui_common_tips_02_hong", "ui_common_tips_02_fenhong"};
	self.topBg:setAltas("common_atlas_1", self.bgStrDic[self.itemImg.data.color]);
end

function Lua_MarryShopBuyTipsWindow:onReduceBgClick()
	if self.buyNum == 1 then
		return;
	end

	self.buyNum = self.buyNum - 1;
	if self.buyNum <= 0 then
		self.buyNum = 1
	end
	self.priceTxt.text = self.showData.curPrice * self.buyNum;
	self.numTxt.text = self.buyNum;
end

function Lua_MarryShopBuyTipsWindow:onAddBgClick()
	self.buyNum = self.buyNum + 1;
	if self.buyNum >= 999 then
		self.buyNum = 999
	end
	self.priceTxt.text = self.showData.curPrice * self.buyNum;
	self.numTxt.text = self.buyNum;
end

function Lua_MarryShopBuyTipsWindow:onTipsNumBgClick()
	if self.showData == nil then
		return
	end
	local list = {};
	list.pox = 114;
	list.poy = 10
	list.callBackOwner = self;
	list.callBack = self.onCountInputCallBack;
	Lua_WindowUtil.openWin("Lua_CountInputWindow", WinParam.ACTION_AUTO, list)
end

function Lua_MarryShopBuyTipsWindow:onCountInputCallBack(data)
	if data.state == 3 then
		self.buyNum = data.num
	elseif data.state == 1 then
		self.numTxt.text = ""
		self.numArr:add(data.num);
		for i = 1, self.numArr:getSize() do
			self.numTxt.text = self.numTxt.text .. self.numArr[i]
		end
		self.buyNum = tonumber(self.numTxt.text)
	elseif data.state == 0 then
		self.numArr:clear();
		self.buyNum = 1
	end

	if data.state == 2 then
		self.numArr:clear();
	end
	self:checkRange(self.buyNum)
	self.numTxt.text = self.buyNum
	self.priceTxt.text = self.showData.curPrice * self.buyNum;
end

function Lua_MarryShopBuyTipsWindow:checkRange(num)
	if num >= self.showData.leftCount and self.showData.maxCount ~= 0 then
		if self.showData.leftCount == 0 then
			self.buyNum = 1
		else
			self.buyNum = self.showData.leftCount
		end
	else
		if self.buyNum >= 999 then
			self.buyNum = 999
		elseif self.buyNum < 1 then
			self.buyNum = 1
		else
			self.buyNum = num
		end
	end
end

function Lua_MarryShopBuyTipsWindow:onBuyBtnClick()
	-- 检查元宝是否足够
	if DataCenter.moneyData:isMoneyEnough(self.showData._moneyType, self.showData.curPrice * self.buyNum, false, true) == false then
		self:hide();
		return;
	end

	Lua_ProxyManager.getProxy("Lua_ShopProxy"):sBuyMsg(9, self.showData.id, self.buyNum);
	self:hide();
end

-- 防止穿模
function Lua_MarryShopBuyTipsWindow:onBgClick(go)
end