-- 姻缘-婚宴商城
Lua_MarryShopWindow = class("Lua_MarryShopWindow", Lua_Window)
function Lua_MarryShopWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryShopWindow";
	self.skinName = "MarryShopWindow_skin";
end

function Lua_MarryShopWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.shopDragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 568, 380));
	self.shopDragList:setLocation(105, 0, 0);
	self.shopDragList:setListCell(Lua_MarryShopShopItem, 118, 284, 2);

	self:updateMoney();

	self.chargeBg:addClickFuntion(self,self.onChargeBgClick);
	
	self:addLuaEvent("UPDATE_PANELINFO", self, self.setPanelData);
	self:addLuaEvent("SHOP_BUY", self, self.updateMoney);
	Lua_ProxyManager.getProxy("Lua_ShopProxy"):sInitMsg(9);
end

function Lua_MarryShopWindow:setPanelData()
	self.shopDragList:setLuaArrayData(DataCenter.shopData.itemArr, false);
end

function Lua_MarryShopWindow:updateMoney()
	self.goldTxt.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.GOLD));
	self.moneyTxt.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.BIND_GOLD));
	self.copperTxt.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.COPPER));
end

function Lua_MarryShopWindow:onChargeBgClick()
	Lua_WindowUtil.openWin("Lua_ChongzhiWindow",WinParam.ACTION_OPEN,1);
end





--------------------------------------------------





Lua_MarryShopShopItem = class("Lua_MarryShopShopItem", Lua_ListCell);
function Lua_MarryShopShopItem:ctor(p)
	self:superCall("ctor", p, "MarryShopItem_skin");
end

function Lua_MarryShopShopItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(-87, 3, 0);
	self.itemImg:setCanClick(false);
end

function Lua_MarryShopShopItem:setData(data)
	self.data = data
	if data == nil then
		return;
	end

	self.itemImg.data = data;
	self.nameTxt.text = self.itemImg.data.colorName;

	self.goldSp:setAltas(data.getMoneyIconAtlas, data.moneyType);
	self.goldTxt.text = data.curPrice;
end

function Lua_MarryShopShopItem:onPlayerSoundClick()
	Lua_WindowUtil.openWin("Lua_MarryShopBuyTipsWindow", WinParam.ACTION_OPEN, self.data);
end

function Lua_MarryShopShopItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self:superCall("dispose");
end