-- 姻缘-婚宴信息
Lua_YaoQingHanWindow = class("Lua_YaoQingHanWindow", Lua_Window)
function Lua_YaoQingHanWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_YaoQingHanWindow";
	self.skinName = "YaoQingHanWindow_skin";
	self.showClose = false;
end

function Lua_YaoQingHanWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.subBtn:addClickFuntion(self, self.onSubClick)
end

function Lua_YaoQingHanWindow:showWin(param)
	self:superCall("showWin", param);

	if param ~= nil then
		self.headBg = UICreate.createImage(self.content, "", 124, 65, 0, 0);
		self.headBg.name = "headBg";
		self.headBg:setDepth(5);
		self.headBg:addClickFuntion(self, self.onHeadClick1);

		self.headBg2 = UICreate.createImage(self.content, "", -124, 65, 0, 0);
		self.headBg2.name = "headBg2";
		self.headBg2:setDepth(5);
		self.headBg2:addClickFuntion(self, self.onHeadClick2);

		if isHeadReplaceOpen() then
			self:updateMyHead(param.wedding_partner_role.career, param.wedding_partner_role.role_head_name);
			self:updateHerHead(param.wedding_req_role.career, param.wedding_req_role.role_head_name);
		else
			local headStr1 = Lua_ThingDefine.getHeadIconUrlByCareer(param.wedding_req_role.career, param.wedding_req_role.profession);
			local headStr2 = Lua_ThingDefine.getHeadIconUrlByCareer(param.wedding_partner_role.career, param.wedding_partner_role.profession);
			self.headBg:setUrl(headStr1);
			self.headBg2:setUrl(headStr2);
		end

		self.himName.text = param.wedding_req_role.role_name;
		self.yourName.text = param.wedding_partner_role.role_name;
	end

	Lua_CommonUtil.addTimer("Lua_YaoQingHanWindow", 1, self, self.onTimeDown);
	self:onTimeDown();
end

function Lua_YaoQingHanWindow:updateMyHead(career, role_head)
	if role_head ~= nil and role_head ~= "" then
		local isDefault = DataCenter.roleData:isDefaultHead(career, role_head);
		if isDefault == true then
			self.headBg2:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
		else
			self.headBg2:setUrl(role_head, 99, true);
			self.headBg2:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆形 1, 0.5, 0.5, 0.5); -- 菱形
			self.headBg2:SetDimensions(124, 124);
		end
	end
end

function Lua_YaoQingHanWindow:updateHerHead(career, role_head)
	if role_head ~= nil and role_head ~= "" then
		local isDefault = DataCenter.roleData:isDefaultHead(career, role_head);
		if isDefault == true then
			self.headBg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
		else
			self.headBg:setUrl(role_head, 99, true);
			self.headBg:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆形 1, 0.5, 0.5, 0.5); -- 菱形
			self.headBg:SetDimensions(124, 124);
		end
	end
end

function Lua_YaoQingHanWindow:onTimeDown()
	local leftTime = self.showData.subscribe_time - DataCenter.roleData.serverTime;
	if leftTime > 0 then
		local time1 = TimeTransform.getInstance():transSeconds15(leftTime, true);
		self.des.text = LanUtil.formateStr(LanUtil.getValue(124118), self.showData.wedding_req_role.role_name, self.showData.wedding_partner_role.role_name, self.showData.WeddingName, time1);
		self.subBtn.label = LanUtil.getValue(124116);
	else
		self.des.text = LanUtil.formateStr(LanUtil.getValue(124119), self.showData.wedding_req_role.role_name, self.showData.wedding_partner_role.role_name, self.showData.WeddingName);
		self.subBtn.label = LanUtil.getValue(124116);
		Lua_CommonUtil.removeTimer(self, self.onTimeDown);
	end
end

function Lua_YaoQingHanWindow:onHeadClick1()
	local cmd = ProtoPublic_pb.Proto10100156();
	cmd.role_id = tonumber(tostring(self.showData.wedding_req_role.role_id));
	sendMsg(10100156,cmd);
end

function Lua_YaoQingHanWindow:onHeadClick2()
	local cmd = ProtoPublic_pb.Proto10100156();
	cmd.role_id = tonumber(tostring(self.showData.wedding_partner_role.role_id));
	sendMsg(10100156,cmd);
end

function Lua_YaoQingHanWindow:onSubClick()
	if self.subBtn.txt.text == LanUtil.getValue(124116) then
		Lua_ProxyManager.getProxy("Lua_MarryProxy"):sStartMarryNowMsg(self.showData.wedding_id);
	else
		self:hide();
	end
end

function Lua_YaoQingHanWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.onTimeDown);
	self:superCall("dispose");
end
